org.keycloak.models.jpa.entities

## Class CredentialEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.CredentialEntity

-     @Entity
      public class CredentialEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Long` | `createdDate`
    `protected String` | `credentialData`
    `protected String` | `id`
    `protected int` | `priority`
    `protected byte[]` | `salt` Deprecated.
    `protected String` | `secretData`
    `protected String` | `type`
    `protected UserEntity` | `user`
    `protected String` | `userLabel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Long` | `getCreatedDate()`
    `String` | `getCredentialData()`
    `String` | `getId()`
    `int` | `getPriority()`
    `byte[]` | `getSalt()` Deprecated.
    `String` | `getSecretData()`
    `String` | `getType()`
    `UserEntity` | `getUser()`
    `String` | `getUserLabel()`
    `int` | `hashCode()`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setCredentialData(String credentialData)`
    `void` | `setId(String id)`
    `void` | `setPriority(int priority)`
    `void` | `setSalt(byte[] salt)` Deprecated.
    `void` | `setSecretData(String secretData)`
    `void` | `setType(String type)`
    `void` | `setUser(UserEntity user)`
    `void` | `setUserLabel(String userLabel)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### type

          protected String type

    - #### userLabel

          protected String userLabel

    - #### createdDate

          protected Long createdDate

    - #### user

          protected UserEntity user

    - #### secretData

          protected String secretData

    - #### credentialData

          protected String credentialData

    - #### priority

          protected int priority

    - #### salt

          @Deprecated
          protected byte[] salt

      Deprecated.

  - ### Constructor Detail

    - #### CredentialEntity

          public CredentialEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getUserLabel

          public String getUserLabel()

    - #### setUserLabel

          public void setUserLabel(String userLabel)

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getSalt

          @Deprecated
          public byte[] getSalt()

      Deprecated.

    - #### setSalt

          @Deprecated
          public void setSalt(byte[] salt)

      Deprecated.

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getSecretData

          public String getSecretData()

    - #### setSecretData

          public void setSecretData(String secretData)

    - #### getCredentialData

          public String getCredentialData()

    - #### setCredentialData

          public void setCredentialData(String credentialData)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.